name: Heading
props:
  type: object
  required:
    - level
  properties:
    level:
      type: integer
      title: Level
      description: "The type of button to render"
      # The enum directive restricts the possible values in the element to our list.
      enum: [1, 2, 3, 4, 5, 6]
slots:
  text:
    title: Heading Text
    description: The text for the heading.
